/// <reference types="vite/client" />

declare module '*.vue' {
  import type { DefineComponent } from 'vue'
  const component: DefineComponent<{}, {}, any>
  export default component
}
export declare global {
  interface Window {
    /**订阅mqtt */
    onSubscribe: (topic: string) => void
    onUnsubscribe: (topic: string) => void
    [key: string]: any //全局变量名
  }
}
declare module 'vue-schart'
declare module 'vue-cropperjs'
declare module 'ezuikit-js'
declare module 'mqtt/dist/mqtt.min'
